JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes | Functions
geometry
juce_graphics

## Classes
class | AffineTransform
| Represents a 2D affine-transformation matrix. More...
class | BorderSize< ValueType >
| Specifies a set of gaps to be left around the sides of a rectangle. More...
class | EdgeTable
| A table of horizontal scan-line segments - used for rasterising Paths. More...
class | Line< ValueType >
| Represents a line. More...
class | Parallelogram< ValueType >
| Represents a parallelogram that is defined by 3 points. More...
class | Path
| A path is a sequence of lines and curves that may either form a closed shape or be open-ended. More...
class | Path::Iterator
| Iterates the lines and curves that a path contains. More...
class | PathFlatteningIterator
| Flattens a Path object into a series of straight-line sections. More...
class | PathStrokeType
| Describes a type of stroke used to render a solid outline along a path. More...
class | Point< ValueType >
| A pair of (x, y) coordinates. More...
class | Rectangle< ValueType >
| Manages a rectangle and allows geometric operations to be performed on it. More...
class | RectangleList< ValueType >
| Maintains a set of rectangles as a complex region. More...

## Functions
template<typename ValueType >
Point< ValueType > | operator* (ValueType value, Point< ValueType > p) noexcept
| Multiplies the point's coordinates by a scalar value.

## Detailed Description

## Function Documentation

## ◆ operator*()

template<typename ValueType >

Point< ValueType > operator* | ( | ValueType | value,
|  | Point< ValueType > | p )
| noexcept

Multiplies the point's coordinates by a scalar value.